Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker.esn
Class SynchronousLoanBroker

    java.lang.Object
      org.mule.example.loanbroker.AbstractLoanBroker
          org.mule.example.loanbroker.DefaultLoanBroker
              org.mule.example.loanbroker.esn.SynchronousLoanBroker

All Implemented Interfaces:
  LoanBrokerService

    public class SynchronousLoanBroker

extends DefaultLoanBroker

`SyncLoanBroker` is a synchronous Loan Broker that makes the calls to various components through the event context synchronously.

Field Summary

Fields inherited from class org.mule.example.loanbroker.AbstractLoanBroker
`logger`

Constructor Summary
`SynchronousLoanBroker()`

Method Summary
`CreditAgencyService` | `getCreditAgency()`
`Object` | `getLoanQuote(CustomerQuoteRequest request)`
`void` | `setCreditAgency(CreditAgencyService creditAgency)`

Methods inherited from class org.mule.example.loanbroker.DefaultLoanBroker
`getLenders, getLoanQuote, setCreditAgency, setLenderList`

Methods inherited from class org.mule.example.loanbroker.AbstractLoanBroker
`incProfiles, incQuotes, incRequests, receiveCreditProfile, receiveCustomer, receiveLoanBrokerQuoteRequest, receiveQuote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronousLoanBroker

    public SynchronousLoanBroker()

Method Detail

### getLoanQuote

    public Object getLoanQuote(CustomerQuoteRequest request)
                        throws LoanBrokerException

  Throws:
    `LoanBrokerException`

### getCreditAgency

    public CreditAgencyService getCreditAgency()

### setCreditAgency

    public void setCreditAgency(CreditAgencyService creditAgency)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.